## edu.stanford.nlp.trees.tregex.gui
Class DisplayMatchesPanel.FilenameMouseInputAdapter

    java.lang.Object
      java.awt.event.MouseAdapter
          javax.swing.event.MouseInputAdapter
              edu.stanford.nlp.trees.tregex.gui.DisplayMatchesPanel.FilenameMouseInputAdapter

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener, MouseInputListener

Enclosing class:
  DisplayMatchesPanel

    public class DisplayMatchesPanel.FilenameMouseInputAdapter

extends MouseInputAdapter

Constructor Summary
`DisplayMatchesPanel.FilenameMouseInputAdapter(JTextField textField)`

Method Summary
`void` `mouseDragged(MouseEvent e)`
`void` `mousePressed(MouseEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseReleased, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited, mouseReleased`

Methods inherited from interface java.awt.event.MouseMotionListener
`mouseMoved`

Constructor Detail

### DisplayMatchesPanel.FilenameMouseInputAdapter

    public DisplayMatchesPanel.FilenameMouseInputAdapter(JTextField textField)

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseAdapter`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `MouseAdapter`

Stanford NLP Group